summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/nvidia/nvidia.install
diff options
context:
space:
mode:
authorJames Meyer <James.meyer@operamail.com>2008-10-05 01:03:22 (GMT)
committerJames Meyer <James.meyer@operamail.com>2008-10-05 01:03:22 (GMT)
commit5d1469af8186df3cc4cda2a5fcb690ce5fa02f67 (patch)
treee412d2c603e4fd0ba38cc11a62ff169e9d189778 /abs/core-testing/nvidia/nvidia.install
parentbc8a09e8e7ae5cac0206fa6ea7bc08ae3b64662f (diff)
downloadlinhes_pkgbuild-5d1469af8186df3cc4cda2a5fcb690ce5fa02f67.zip
linhes_pkgbuild-5d1469af8186df3cc4cda2a5fcb690ce5fa02f67.tar.gz
linhes_pkgbuild-5d1469af8186df3cc4cda2a5fcb690ce5fa02f67.tar.bz2
nvidia driver
Diffstat (limited to 'abs/core-testing/nvidia/nvidia.install')
-rw-r--r--abs/core-testing/nvidia/nvidia.install22
1 files changed, 22 insertions, 0 deletions
diff --git a/abs/core-testing/nvidia/nvidia.install b/abs/core-testing/nvidia/nvidia.install
new file mode 100644
index 0000000..dbbec39
--- /dev/null
+++ b/abs/core-testing/nvidia/nvidia.install
@@ -0,0 +1,22 @@
+# arg 1: the new package version
+post_install() {
+ KERNEL_VERSION='2.6.26-ARCH'
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install $1
+ rmmod nvidia || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
+}
+
+# arg 1: the old package version
+post_remove() {
+ KERNEL_VERSION='2.6.26-ARCH'
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+op=$1
+shift
+$op $*